Name:           perl-IO-Socket-INET6
Version:        2.73
Release:        1
Summary:        Object interface for AF_INET|AF_INET6 domain sockets
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Socket-INET6
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/IO-Socket-INET6-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-interpreter, perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Carp), perl(Errno)
BuildRequires:  perl(IO::Socket), perl(Socket), perl(Socket6) >= 0.12
BuildRequires:  perl(strict), perl(Config), perl(Test::More), perl(utf8)
BuildRequires:  perl(vars), perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Object interface for AF_INET|AF_INET6 domain sockets.

%package        help
Summary:        Including man files for perl-IO-Socket-INET6
Requires:       man

%description    help
This contains man files for the using of perl-IO-Socket-INET6.

%prep
%autosetup -n IO-Socket-INET6-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc README
%{perl_vendorlib}/IO/

%files help
%{_mandir}/man*/*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.73-1
- Upgrade to version 2.73

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.72-15
- Package init
